-- effect_entity should be path of an entity with GameEffectComponent or ""
-- Custom game effect entities (effect="CUSTOM", custom_effect_id="UNIQUE_ID") are also OK.
-- IMPORTANT: to ensure serialization doesn't break please add any new effects to the end of the list, and never remove effects or change the order of effects.

-- Please excuse my if/elses I'm not sure how conditionals can be used here without copy/pasting it a few times in a way that also keeps the original effects order.

dofile_once("mods/flandre_player_character/flandre_config.lua") -- This file is where you can toggle certain options.

if REMOVE_VOMIT == true and REMOVE_CURSE == true then
	status_effects =
	{
		{
			id="WET",
			ui_name="$status_wet",
			ui_description="$statusdesc_wet",
			ui_icon="data/ui_gfx/status_indicators/wet.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_wet.xml",
		},
		{
			id="OILED",
			ui_name="$status_oiled",
			ui_description="$statusdesc_oiled",
			ui_icon="data/ui_gfx/status_indicators/oiled.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_oiled.xml",
		},
		{
			id="BLOODY",
			ui_name="$status_bloody",
			ui_description="$statusdesc_bloody",
			ui_icon="data/ui_gfx/status_indicators/bloody.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_bloody.xml",
		},
		{
			id="SLIMY",
			ui_name="$status_slimy",
			ui_description="$statusdesc_slimy",
			ui_icon="data/ui_gfx/status_indicators/slimy.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_slimy.xml",
		},
		{
			id="RADIOACTIVE",
			ui_name="$status_radioactive",
			ui_description="$statusdesc_radioactive",
			ui_icon="data/ui_gfx/status_indicators/radioactive.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_radioactive.xml",
		},
		{
			id="ALCOHOLIC",
			ui_name="$status_alcoholic",
			ui_description="$statusdesc_alcoholic",
			ui_icon="data/ui_gfx/status_indicators/alcoholic.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
		},
		{
			id="POISONED",
			ui_name="$status_poisoned",
			ui_description="$statusdesc_poisoned",
			ui_icon="data/ui_gfx/status_indicators/poisoned.png",
			effect_entity="data/entities/misc/effect_poison.xml",
		},
		{
			id="TELEPORTATION",
			ui_name="$status_teleportation",
			ui_description="$statusdesc_teleportation",
			ui_icon="data/ui_gfx/status_indicators/teleportation.png",
			effect_entity="data/entities/misc/effect_teleportation.xml",
		},
		{
			id="UNSTABLE_TELEPORTATION",
			ui_name="$status_teleportation",
			ui_description="$statusdesc_teleportation",
			ui_icon="data/ui_gfx/status_indicators/teleportation.png",
			effect_entity="data/entities/misc/effect_teleportation.xml",
		},
		{
			id="HP_REGENERATION",
			ui_name="$status_hp_regeneration",
			ui_description="$statusdesc_hp_regeneration",
			ui_icon="data/ui_gfx/status_indicators/hp_regeneration.png",
			effect_entity="data/entities/misc/effect_regeneration.xml",
		},
		{
			id="POLYMORPH",
			ui_name="$status_polymorph",
			ui_description="$statusdesc_polymorph",
			ui_icon="data/ui_gfx/status_indicators/polymorph.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph.xml",
		},
		{
			id="POLYMORPH_RANDOM",
			ui_name="$status_polymorph_random",
			ui_description="$statusdesc_polymorph_random",
			ui_icon="data/ui_gfx/status_indicators/polymorph_random.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph_random.xml",
		},
		{
			id="POLYMORPH_UNSTABLE",
			ui_name="$status_polymorph_random",
			ui_description="$statusdesc_polymorph_random",
			ui_icon="data/ui_gfx/status_indicators/polymorph_random.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph_unstable.xml",
		},
		{
			id="BERSERK",
			ui_name="$status_berserk",
			ui_description="$statusdesc_berserk",
			ui_icon="data/ui_gfx/status_indicators/berserk.png",
			effect_entity="data/entities/misc/effect_berserk.xml",
		},
		{
			id="CHARM",
			ui_name="$status_charm",
			ui_description="$statusdesc_charm",
			ui_icon="data/ui_gfx/status_indicators/charm.png",
			effect_entity="data/entities/misc/effect_charm.xml",
		},
		{
			id="INVISIBILITY",
			ui_name="$status_invisibility",
			ui_description="$statusdesc_invisibility",
			ui_icon="data/ui_gfx/status_indicators/invisibility.png",
			effect_entity="data/entities/misc/effect_invisibility.xml",
		},
		{
			id="ON_FIRE",
			ui_name="$status_on_fire",
			ui_description="$statusdesc_on_fire",
			ui_icon="data/ui_gfx/status_indicators/on_fire.png",
			effect_entity="",
		},
		{
			id="CONFUSION",
			ui_name="$status_confusion",
			ui_description="$statusdesc_confusion",
			ui_icon="data/ui_gfx/status_indicators/confusion.png",
			effect_entity="data/entities/misc/effect_confusion.xml",
		},
		{
			id="MOVEMENT_FASTER_2X",
			ui_name="$status_movement_faster",
			ui_description="$statusdesc_movement_faster",
			ui_icon="data/ui_gfx/status_indicators/movement_faster.png",
			effect_entity="data/entities/misc/effect_movement_faster_2x.xml",
		},
		{
			id="FASTER_LEVITATION",
			ui_name="$status_faster_levitation",
			ui_description="$statusdesc_faster_levitation",
			ui_icon="data/ui_gfx/status_indicators/faster_levitation.png",
			effect_entity="data/entities/misc/effect_faster_levitation.xml",
		},
		{
			id="WORM_ATTRACTOR",
			ui_name="$status_worm_attractor",
			ui_description="$statusdesc_worm_attractor",
			ui_icon="data/ui_gfx/status_indicators/worm_attractor.png",
			effect_entity="data/entities/misc/effect_worm_attractor.xml",
		},
		{
			id="PROTECTION_ALL",
			ui_name="$status_protection_all",
			ui_description="$statusdesc_protection_all",
			ui_icon="data/ui_gfx/status_indicators/protection_all.png",
			effect_entity="data/entities/misc/effect_protection_all.xml",
		},
		{
			id="MANA_REGENERATION",
			ui_name="$status_mana_regeneration",
			ui_description="$statusdesc_mana_regeneration",
			ui_icon="data/ui_gfx/status_indicators/mana_regeneration.png",
			effect_entity="data/entities/misc/effect_mana_regeneration.xml",
		},
		{
			id="JARATE",
			ui_name="$status_jarate",
			ui_description="$statusdesc_jarate",
			ui_icon="data/ui_gfx/status_indicators/jarate.png",
			effect_entity="data/entities/misc/effect_jarate.xml",
		},
		{
			id="HYDRATED",
			ui_name="$status_oiled",
			ui_description="$statusdesc_oiled",
			ui_icon="data/ui_gfx/status_indicators/oiled.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_oiled.xml",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_00",
			ui_description="$statusdesc_ingestion_alcoholic_00",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			min_threshold_normalized="0.0",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_01",
			ui_description="$statusdesc_ingestion_alcoholic_01",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			min_threshold_normalized="0.25",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_02",
			ui_description="$statusdesc_ingestion_alcoholic_02",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk_01.xml",
			min_threshold_normalized="0.75",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_02",
			ui_description="$statusdesc_ingestion_alcoholic_02",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk_01.xml",
			min_threshold_normalized="1.0",
			extra_status_00="POISONED"
		},
		{
			id="TRIP",
			ui_name="$status_trip_00",
			ui_description="$statusdesc_trip_00",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_00.xml",
		},
		{
			id="TRIP",
			ui_name="$status_trip_01",
			ui_description="$statusdesc_trip_01",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_01.xml",
			min_threshold_normalized="0.5",
		},
		{
			id="TRIP",
			ui_name="$status_trip_02",
			ui_description="$statusdesc_trip_02",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_02.xml",
			min_threshold_normalized="1.5",
		},
		{
			id="TRIP",
			ui_name="$status_trip_03",
			ui_description="$statusdesc_trip_03",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_03.xml",
			min_threshold_normalized="3.0",
		},
		{
			id="NIGHTVISION",
			ui_name="$status_nightvision",
			ui_description="$statusdesc_nightvision",
			ui_icon="data/ui_gfx/status_indicators/nightvision.png",
			effect_entity="data/entities/misc/effect_nightvision.xml",
		},
		{
			id="FOOD_POISONING",
			--ui_name="$status_food_poisoning",
			--ui_description="$statusdesc_food_poisoning",
			--ui_icon="data/ui_gfx/status_indicators/food_poisoning.png",
			--effect_entity="data/entities/misc/effect_food_poisoning.xml",
		},
		{
			id="INGESTION_MOVEMENT_SLOWER",
			ui_name="$status_ingestion_movement_slower",
			ui_description="$statusdesc_ingestion_movement_slower",
			ui_icon="data/ui_gfx/status_indicators/ingestion_movement_slower.png",
			effect_entity="data/entities/misc/effect_movement_slower.xml",
		},
		{
			id="INGESTION_DAMAGE",
			ui_name="$status_ingestion_damage",
			ui_description="$statusdesc_ingestion_damage",
			ui_icon="data/ui_gfx/status_indicators/ingestion_damage.png",
			-- this status is only used to show the icon to the player
		},
		{
			id="INGESTION_EXPLODING",
			ui_name="$status_ingestion_exploding",
			ui_description="$statusdesc_ingestion_exploding",
			ui_icon="data/ui_gfx/status_indicators/ingestion_exploding.png",
			-- this status is only used to show the icon to the player
		},
		{
			id="INGESTION_FREEZING",
			ui_name="$status_ingestion_freezing",
			ui_description="$statusdesc_ingestion_freezing",
			ui_icon="data/ui_gfx/status_indicators/ingestion_freezing.png",
			effect_entity="data/entities/misc/effect_internal_ice.xml",
		},
		{
			id="FARTS",
			ui_name="$status_farts",
			ui_description="$statusdesc_farts",
			ui_icon="data/ui_gfx/status_indicators/farts.png",
			effect_entity="data/entities/misc/effect_farts.xml",
		},
		{
			id="INGESTION_ON_FIRE",
			ui_name="$status_internal_fire",
			ui_description="$statusdesc_internal_fire",
			ui_icon="data/ui_gfx/status_indicators/internal_fire.png",
			effect_entity="data/entities/misc/effect_internal_fire.xml",
		},
		{
			id="CURSE_CLOUD",
			--ui_name="$status_curse_cloud_00",
			--ui_description="$statusdesc_curse_cloud_00",
			--ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			--effect_entity="data/entities/misc/effect_curse_cloud_00.xml", -- rain
		},
		{
			id="CURSE_CLOUD",
			--ui_name="$status_curse_cloud_01",
			--ui_description="$statusdesc_curse_cloud_01",
			--ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			--effect_entity="data/entities/misc/effect_curse_cloud_01.xml", -- thunder
			--min_threshold_normalized="0.25",
		},
		{
			id="CURSE_CLOUD",
			--ui_name="$status_curse_cloud_02",
			--ui_description="$statusdesc_curse_cloud_02",
			--ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			--effect_entity="data/entities/misc/effect_curse_cloud_02.xml", -- acid
			--min_threshold_normalized="0.75",
		},
		{
			id="PROTECTION_POLYMORPH",
			ui_name="$status_protection_polymorph",
			ui_description="$statusdesc_protection_polymorph",
			ui_icon="data/ui_gfx/status_indicators/protection_polymorph.png",
			effect_entity="data/entities/misc/effect_protection_polymorph.xml",
		},
		
		-- permanent effects should be put on the bottom of the list, to make them rendered in the UI after all other status effects
		--[[{
			id="BRAIN_DAMAGE",
			ui_name="$status_brain_damage",
			ui_description="$statusdesc_brain_damage",
			ui_icon="data/ui_gfx/status_indicators/brain_damage.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			effect_permanent=true,
		},]]--
	}
	elseif REMOVE_VOMIT == true and REMOVE_CURSE == false then
	status_effects =
	{
		{
			id="WET",
			ui_name="$status_wet",
			ui_description="$statusdesc_wet",
			ui_icon="data/ui_gfx/status_indicators/wet.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_wet.xml",
		},
		{
			id="OILED",
			ui_name="$status_oiled",
			ui_description="$statusdesc_oiled",
			ui_icon="data/ui_gfx/status_indicators/oiled.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_oiled.xml",
		},
		{
			id="BLOODY",
			ui_name="$status_bloody",
			ui_description="$statusdesc_bloody",
			ui_icon="data/ui_gfx/status_indicators/bloody.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_bloody.xml",
		},
		{
			id="SLIMY",
			ui_name="$status_slimy",
			ui_description="$statusdesc_slimy",
			ui_icon="data/ui_gfx/status_indicators/slimy.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_slimy.xml",
		},
		{
			id="RADIOACTIVE",
			ui_name="$status_radioactive",
			ui_description="$statusdesc_radioactive",
			ui_icon="data/ui_gfx/status_indicators/radioactive.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_radioactive.xml",
		},
		{
			id="ALCOHOLIC",
			ui_name="$status_alcoholic",
			ui_description="$statusdesc_alcoholic",
			ui_icon="data/ui_gfx/status_indicators/alcoholic.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
		},
		{
			id="POISONED",
			ui_name="$status_poisoned",
			ui_description="$statusdesc_poisoned",
			ui_icon="data/ui_gfx/status_indicators/poisoned.png",
			effect_entity="data/entities/misc/effect_poison.xml",
		},
		{
			id="TELEPORTATION",
			ui_name="$status_teleportation",
			ui_description="$statusdesc_teleportation",
			ui_icon="data/ui_gfx/status_indicators/teleportation.png",
			effect_entity="data/entities/misc/effect_teleportation.xml",
		},
		{
			id="UNSTABLE_TELEPORTATION",
			ui_name="$status_teleportation",
			ui_description="$statusdesc_teleportation",
			ui_icon="data/ui_gfx/status_indicators/teleportation.png",
			effect_entity="data/entities/misc/effect_teleportation.xml",
		},
		{
			id="HP_REGENERATION",
			ui_name="$status_hp_regeneration",
			ui_description="$statusdesc_hp_regeneration",
			ui_icon="data/ui_gfx/status_indicators/hp_regeneration.png",
			effect_entity="data/entities/misc/effect_regeneration.xml",
		},
		{
			id="POLYMORPH",
			ui_name="$status_polymorph",
			ui_description="$statusdesc_polymorph",
			ui_icon="data/ui_gfx/status_indicators/polymorph.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph.xml",
		},
		{
			id="POLYMORPH_RANDOM",
			ui_name="$status_polymorph_random",
			ui_description="$statusdesc_polymorph_random",
			ui_icon="data/ui_gfx/status_indicators/polymorph_random.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph_random.xml",
		},
		{
			id="POLYMORPH_UNSTABLE",
			ui_name="$status_polymorph_random",
			ui_description="$statusdesc_polymorph_random",
			ui_icon="data/ui_gfx/status_indicators/polymorph_random.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph_unstable.xml",
		},
		{
			id="BERSERK",
			ui_name="$status_berserk",
			ui_description="$statusdesc_berserk",
			ui_icon="data/ui_gfx/status_indicators/berserk.png",
			effect_entity="data/entities/misc/effect_berserk.xml",
		},
		{
			id="CHARM",
			ui_name="$status_charm",
			ui_description="$statusdesc_charm",
			ui_icon="data/ui_gfx/status_indicators/charm.png",
			effect_entity="data/entities/misc/effect_charm.xml",
		},
		{
			id="INVISIBILITY",
			ui_name="$status_invisibility",
			ui_description="$statusdesc_invisibility",
			ui_icon="data/ui_gfx/status_indicators/invisibility.png",
			effect_entity="data/entities/misc/effect_invisibility.xml",
		},
		{
			id="ON_FIRE",
			ui_name="$status_on_fire",
			ui_description="$statusdesc_on_fire",
			ui_icon="data/ui_gfx/status_indicators/on_fire.png",
			effect_entity="",
		},
		{
			id="CONFUSION",
			ui_name="$status_confusion",
			ui_description="$statusdesc_confusion",
			ui_icon="data/ui_gfx/status_indicators/confusion.png",
			effect_entity="data/entities/misc/effect_confusion.xml",
		},
		{
			id="MOVEMENT_FASTER_2X",
			ui_name="$status_movement_faster",
			ui_description="$statusdesc_movement_faster",
			ui_icon="data/ui_gfx/status_indicators/movement_faster.png",
			effect_entity="data/entities/misc/effect_movement_faster_2x.xml",
		},
		{
			id="FASTER_LEVITATION",
			ui_name="$status_faster_levitation",
			ui_description="$statusdesc_faster_levitation",
			ui_icon="data/ui_gfx/status_indicators/faster_levitation.png",
			effect_entity="data/entities/misc/effect_faster_levitation.xml",
		},
		{
			id="WORM_ATTRACTOR",
			ui_name="$status_worm_attractor",
			ui_description="$statusdesc_worm_attractor",
			ui_icon="data/ui_gfx/status_indicators/worm_attractor.png",
			effect_entity="data/entities/misc/effect_worm_attractor.xml",
		},
		{
			id="PROTECTION_ALL",
			ui_name="$status_protection_all",
			ui_description="$statusdesc_protection_all",
			ui_icon="data/ui_gfx/status_indicators/protection_all.png",
			effect_entity="data/entities/misc/effect_protection_all.xml",
		},
		{
			id="MANA_REGENERATION",
			ui_name="$status_mana_regeneration",
			ui_description="$statusdesc_mana_regeneration",
			ui_icon="data/ui_gfx/status_indicators/mana_regeneration.png",
			effect_entity="data/entities/misc/effect_mana_regeneration.xml",
		},
		{
			id="JARATE",
			ui_name="$status_jarate",
			ui_description="$statusdesc_jarate",
			ui_icon="data/ui_gfx/status_indicators/jarate.png",
			effect_entity="data/entities/misc/effect_jarate.xml",
		},
		{
			id="HYDRATED",
			ui_name="$status_oiled",
			ui_description="$statusdesc_oiled",
			ui_icon="data/ui_gfx/status_indicators/oiled.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_oiled.xml",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_00",
			ui_description="$statusdesc_ingestion_alcoholic_00",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			min_threshold_normalized="0.0",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_01",
			ui_description="$statusdesc_ingestion_alcoholic_01",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			min_threshold_normalized="0.25",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_02",
			ui_description="$statusdesc_ingestion_alcoholic_02",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk_01.xml",
			min_threshold_normalized="0.75",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_02",
			ui_description="$statusdesc_ingestion_alcoholic_02",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk_01.xml",
			min_threshold_normalized="1.0",
			extra_status_00="POISONED"
		},
		{
			id="TRIP",
			ui_name="$status_trip_00",
			ui_description="$statusdesc_trip_00",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_00.xml",
		},
		{
			id="TRIP",
			ui_name="$status_trip_01",
			ui_description="$statusdesc_trip_01",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_01.xml",
			min_threshold_normalized="0.5",
		},
		{
			id="TRIP",
			ui_name="$status_trip_02",
			ui_description="$statusdesc_trip_02",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_02.xml",
			min_threshold_normalized="1.5",
		},
		{
			id="TRIP",
			ui_name="$status_trip_03",
			ui_description="$statusdesc_trip_03",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_03.xml",
			min_threshold_normalized="3.0",
		},
		{
			id="NIGHTVISION",
			ui_name="$status_nightvision",
			ui_description="$statusdesc_nightvision",
			ui_icon="data/ui_gfx/status_indicators/nightvision.png",
			effect_entity="data/entities/misc/effect_nightvision.xml",
		},
		{
			id="FOOD_POISONING",
			--ui_name="$status_food_poisoning",
			--ui_description="$statusdesc_food_poisoning",
			--ui_icon="data/ui_gfx/status_indicators/food_poisoning.png",
			--effect_entity="data/entities/misc/effect_food_poisoning.xml",
		},
		{
			id="INGESTION_MOVEMENT_SLOWER",
			ui_name="$status_ingestion_movement_slower",
			ui_description="$statusdesc_ingestion_movement_slower",
			ui_icon="data/ui_gfx/status_indicators/ingestion_movement_slower.png",
			effect_entity="data/entities/misc/effect_movement_slower.xml",
		},
		{
			id="INGESTION_DAMAGE",
			ui_name="$status_ingestion_damage",
			ui_description="$statusdesc_ingestion_damage",
			ui_icon="data/ui_gfx/status_indicators/ingestion_damage.png",
			-- this status is only used to show the icon to the player
		},
		{
			id="INGESTION_EXPLODING",
			ui_name="$status_ingestion_exploding",
			ui_description="$statusdesc_ingestion_exploding",
			ui_icon="data/ui_gfx/status_indicators/ingestion_exploding.png",
			-- this status is only used to show the icon to the player
		},
		{
			id="INGESTION_FREEZING",
			ui_name="$status_ingestion_freezing",
			ui_description="$statusdesc_ingestion_freezing",
			ui_icon="data/ui_gfx/status_indicators/ingestion_freezing.png",
			effect_entity="data/entities/misc/effect_internal_ice.xml",
		},
		{
			id="FARTS",
			ui_name="$status_farts",
			ui_description="$statusdesc_farts",
			ui_icon="data/ui_gfx/status_indicators/farts.png",
			effect_entity="data/entities/misc/effect_farts.xml",
		},
		{
			id="INGESTION_ON_FIRE",
			ui_name="$status_internal_fire",
			ui_description="$statusdesc_internal_fire",
			ui_icon="data/ui_gfx/status_indicators/internal_fire.png",
			effect_entity="data/entities/misc/effect_internal_fire.xml",
		},
		{
			id="CURSE_CLOUD",
			ui_name="$status_curse_cloud_00",
			ui_description="$statusdesc_curse_cloud_00",
			ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			effect_entity="data/entities/misc/effect_curse_cloud_00.xml", -- rain
		},
		{
			id="CURSE_CLOUD",
			ui_name="$status_curse_cloud_01",
			ui_description="$statusdesc_curse_cloud_01",
			ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			effect_entity="data/entities/misc/effect_curse_cloud_01.xml", -- thunder
			min_threshold_normalized="0.25",
		},
		{
			id="CURSE_CLOUD",
			ui_name="$status_curse_cloud_02",
			ui_description="$statusdesc_curse_cloud_02",
			ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			effect_entity="data/entities/misc/effect_curse_cloud_02.xml", -- acid
			min_threshold_normalized="0.75",
		},
		{
			id="PROTECTION_POLYMORPH",
			ui_name="$status_protection_polymorph",
			ui_description="$statusdesc_protection_polymorph",
			ui_icon="data/ui_gfx/status_indicators/protection_polymorph.png",
			effect_entity="data/entities/misc/effect_protection_polymorph.xml",
		},

		-- permanent effects should be put on the bottom of the list, to make them rendered in the UI after all other status effects
		--[[{
			id="BRAIN_DAMAGE",
			ui_name="$status_brain_damage",
			ui_description="$statusdesc_brain_damage",
			ui_icon="data/ui_gfx/status_indicators/brain_damage.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			effect_permanent=true,
		},]]--
	}
	elseif REMOVE_VOMIT == false and REMOVE_CURSE == true then
	status_effects =
	{
		{
			id="WET",
			ui_name="$status_wet",
			ui_description="$statusdesc_wet",
			ui_icon="data/ui_gfx/status_indicators/wet.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_wet.xml",
		},
		{
			id="OILED",
			ui_name="$status_oiled",
			ui_description="$statusdesc_oiled",
			ui_icon="data/ui_gfx/status_indicators/oiled.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_oiled.xml",
		},
		{
			id="BLOODY",
			ui_name="$status_bloody",
			ui_description="$statusdesc_bloody",
			ui_icon="data/ui_gfx/status_indicators/bloody.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_bloody.xml",
		},
		{
			id="SLIMY",
			ui_name="$status_slimy",
			ui_description="$statusdesc_slimy",
			ui_icon="data/ui_gfx/status_indicators/slimy.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_slimy.xml",
		},
		{
			id="RADIOACTIVE",
			ui_name="$status_radioactive",
			ui_description="$statusdesc_radioactive",
			ui_icon="data/ui_gfx/status_indicators/radioactive.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_radioactive.xml",
		},
		{
			id="ALCOHOLIC",
			ui_name="$status_alcoholic",
			ui_description="$statusdesc_alcoholic",
			ui_icon="data/ui_gfx/status_indicators/alcoholic.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
		},
		{
			id="POISONED",
			ui_name="$status_poisoned",
			ui_description="$statusdesc_poisoned",
			ui_icon="data/ui_gfx/status_indicators/poisoned.png",
			effect_entity="data/entities/misc/effect_poison.xml",
		},
		{
			id="TELEPORTATION",
			ui_name="$status_teleportation",
			ui_description="$statusdesc_teleportation",
			ui_icon="data/ui_gfx/status_indicators/teleportation.png",
			effect_entity="data/entities/misc/effect_teleportation.xml",
		},
		{
			id="UNSTABLE_TELEPORTATION",
			ui_name="$status_teleportation",
			ui_description="$statusdesc_teleportation",
			ui_icon="data/ui_gfx/status_indicators/teleportation.png",
			effect_entity="data/entities/misc/effect_teleportation.xml",
		},
		{
			id="HP_REGENERATION",
			ui_name="$status_hp_regeneration",
			ui_description="$statusdesc_hp_regeneration",
			ui_icon="data/ui_gfx/status_indicators/hp_regeneration.png",
			effect_entity="data/entities/misc/effect_regeneration.xml",
		},
		{
			id="POLYMORPH",
			ui_name="$status_polymorph",
			ui_description="$statusdesc_polymorph",
			ui_icon="data/ui_gfx/status_indicators/polymorph.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph.xml",
		},
		{
			id="POLYMORPH_RANDOM",
			ui_name="$status_polymorph_random",
			ui_description="$statusdesc_polymorph_random",
			ui_icon="data/ui_gfx/status_indicators/polymorph_random.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph_random.xml",
		},
		{
			id="POLYMORPH_UNSTABLE",
			ui_name="$status_polymorph_random",
			ui_description="$statusdesc_polymorph_random",
			ui_icon="data/ui_gfx/status_indicators/polymorph_random.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph_unstable.xml",
		},
		{
			id="BERSERK",
			ui_name="$status_berserk",
			ui_description="$statusdesc_berserk",
			ui_icon="data/ui_gfx/status_indicators/berserk.png",
			effect_entity="data/entities/misc/effect_berserk.xml",
		},
		{
			id="CHARM",
			ui_name="$status_charm",
			ui_description="$statusdesc_charm",
			ui_icon="data/ui_gfx/status_indicators/charm.png",
			effect_entity="data/entities/misc/effect_charm.xml",
		},
		{
			id="INVISIBILITY",
			ui_name="$status_invisibility",
			ui_description="$statusdesc_invisibility",
			ui_icon="data/ui_gfx/status_indicators/invisibility.png",
			effect_entity="data/entities/misc/effect_invisibility.xml",
		},
		{
			id="ON_FIRE",
			ui_name="$status_on_fire",
			ui_description="$statusdesc_on_fire",
			ui_icon="data/ui_gfx/status_indicators/on_fire.png",
			effect_entity="",
		},
		{
			id="CONFUSION",
			ui_name="$status_confusion",
			ui_description="$statusdesc_confusion",
			ui_icon="data/ui_gfx/status_indicators/confusion.png",
			effect_entity="data/entities/misc/effect_confusion.xml",
		},
		{
			id="MOVEMENT_FASTER_2X",
			ui_name="$status_movement_faster",
			ui_description="$statusdesc_movement_faster",
			ui_icon="data/ui_gfx/status_indicators/movement_faster.png",
			effect_entity="data/entities/misc/effect_movement_faster_2x.xml",
		},
		{
			id="FASTER_LEVITATION",
			ui_name="$status_faster_levitation",
			ui_description="$statusdesc_faster_levitation",
			ui_icon="data/ui_gfx/status_indicators/faster_levitation.png",
			effect_entity="data/entities/misc/effect_faster_levitation.xml",
		},
		{
			id="WORM_ATTRACTOR",
			ui_name="$status_worm_attractor",
			ui_description="$statusdesc_worm_attractor",
			ui_icon="data/ui_gfx/status_indicators/worm_attractor.png",
			effect_entity="data/entities/misc/effect_worm_attractor.xml",
		},
		{
			id="PROTECTION_ALL",
			ui_name="$status_protection_all",
			ui_description="$statusdesc_protection_all",
			ui_icon="data/ui_gfx/status_indicators/protection_all.png",
			effect_entity="data/entities/misc/effect_protection_all.xml",
		},
		{
			id="MANA_REGENERATION",
			ui_name="$status_mana_regeneration",
			ui_description="$statusdesc_mana_regeneration",
			ui_icon="data/ui_gfx/status_indicators/mana_regeneration.png",
			effect_entity="data/entities/misc/effect_mana_regeneration.xml",
		},
		{
			id="JARATE",
			ui_name="$status_jarate",
			ui_description="$statusdesc_jarate",
			ui_icon="data/ui_gfx/status_indicators/jarate.png",
			effect_entity="data/entities/misc/effect_jarate.xml",
		},
		{
			id="HYDRATED",
			ui_name="$status_oiled",
			ui_description="$statusdesc_oiled",
			ui_icon="data/ui_gfx/status_indicators/oiled.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_oiled.xml",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_00",
			ui_description="$statusdesc_ingestion_alcoholic_00",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			min_threshold_normalized="0.0",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_01",
			ui_description="$statusdesc_ingestion_alcoholic_01",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			min_threshold_normalized="0.25",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_02",
			ui_description="$statusdesc_ingestion_alcoholic_02",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk_01.xml",
			min_threshold_normalized="0.75",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_02",
			ui_description="$statusdesc_ingestion_alcoholic_02",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk_01.xml",
			min_threshold_normalized="1.0",
			extra_status_00="POISONED"
		},
		{
			id="TRIP",
			ui_name="$status_trip_00",
			ui_description="$statusdesc_trip_00",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_00.xml",
		},
		{
			id="TRIP",
			ui_name="$status_trip_01",
			ui_description="$statusdesc_trip_01",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_01.xml",
			min_threshold_normalized="0.5",
		},
		{
			id="TRIP",
			ui_name="$status_trip_02",
			ui_description="$statusdesc_trip_02",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_02.xml",
			min_threshold_normalized="1.5",
		},
		{
			id="TRIP",
			ui_name="$status_trip_03",
			ui_description="$statusdesc_trip_03",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_03.xml",
			min_threshold_normalized="3.0",
		},
		{
			id="NIGHTVISION",
			ui_name="$status_nightvision",
			ui_description="$statusdesc_nightvision",
			ui_icon="data/ui_gfx/status_indicators/nightvision.png",
			effect_entity="data/entities/misc/effect_nightvision.xml",
		},
		{
			id="FOOD_POISONING",
			ui_name="$status_food_poisoning",
			ui_description="$statusdesc_food_poisoning",
			ui_icon="data/ui_gfx/status_indicators/food_poisoning.png",
			effect_entity="data/entities/misc/effect_food_poisoning.xml",
		},
		{
			id="INGESTION_MOVEMENT_SLOWER",
			ui_name="$status_ingestion_movement_slower",
			ui_description="$statusdesc_ingestion_movement_slower",
			ui_icon="data/ui_gfx/status_indicators/ingestion_movement_slower.png",
			effect_entity="data/entities/misc/effect_movement_slower.xml",
		},
		{
			id="INGESTION_DAMAGE",
			ui_name="$status_ingestion_damage",
			ui_description="$statusdesc_ingestion_damage",
			ui_icon="data/ui_gfx/status_indicators/ingestion_damage.png",
			-- this status is only used to show the icon to the player
		},
		{
			id="INGESTION_EXPLODING",
			ui_name="$status_ingestion_exploding",
			ui_description="$statusdesc_ingestion_exploding",
			ui_icon="data/ui_gfx/status_indicators/ingestion_exploding.png",
			-- this status is only used to show the icon to the player
		},
		{
			id="INGESTION_FREEZING",
			ui_name="$status_ingestion_freezing",
			ui_description="$statusdesc_ingestion_freezing",
			ui_icon="data/ui_gfx/status_indicators/ingestion_freezing.png",
			effect_entity="data/entities/misc/effect_internal_ice.xml",
		},
		{
			id="FARTS",
			ui_name="$status_farts",
			ui_description="$statusdesc_farts",
			ui_icon="data/ui_gfx/status_indicators/farts.png",
			effect_entity="data/entities/misc/effect_farts.xml",
		},
		{
			id="INGESTION_ON_FIRE",
			ui_name="$status_internal_fire",
			ui_description="$statusdesc_internal_fire",
			ui_icon="data/ui_gfx/status_indicators/internal_fire.png",
			effect_entity="data/entities/misc/effect_internal_fire.xml",
		},
		{
			id="CURSE_CLOUD",
			--ui_name="$status_curse_cloud_00",
			--ui_description="$statusdesc_curse_cloud_00",
			--ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			--effect_entity="data/entities/misc/effect_curse_cloud_00.xml", -- rain
		},
		{
			id="CURSE_CLOUD",
			--ui_name="$status_curse_cloud_01",
			--ui_description="$statusdesc_curse_cloud_01",
			--ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			--effect_entity="data/entities/misc/effect_curse_cloud_01.xml", -- thunder
			--min_threshold_normalized="0.25",
		},
		{
			id="CURSE_CLOUD",
			--ui_name="$status_curse_cloud_02",
			--ui_description="$statusdesc_curse_cloud_02",
			--ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			--effect_entity="data/entities/misc/effect_curse_cloud_02.xml", -- acid
			--min_threshold_normalized="0.75",
		},
		{
			id="PROTECTION_POLYMORPH",
			ui_name="$status_protection_polymorph",
			ui_description="$statusdesc_protection_polymorph",
			ui_icon="data/ui_gfx/status_indicators/protection_polymorph.png",
			effect_entity="data/entities/misc/effect_protection_polymorph.xml",
		},

		-- permanent effects should be put on the bottom of the list, to make them rendered in the UI after all other status effects
		--[[{
			id="BRAIN_DAMAGE",
			ui_name="$status_brain_damage",
			ui_description="$statusdesc_brain_damage",
			ui_icon="data/ui_gfx/status_indicators/brain_damage.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			effect_permanent=true,
		},]]--
	}
else
	status_effects =
	{
		{
			id="WET",
			ui_name="$status_wet",
			ui_description="$statusdesc_wet",
			ui_icon="data/ui_gfx/status_indicators/wet.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_wet.xml",
		},
		{
			id="OILED",
			ui_name="$status_oiled",
			ui_description="$statusdesc_oiled",
			ui_icon="data/ui_gfx/status_indicators/oiled.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_oiled.xml",
		},
		{
			id="BLOODY",
			ui_name="$status_bloody",
			ui_description="$statusdesc_bloody",
			ui_icon="data/ui_gfx/status_indicators/bloody.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_bloody.xml",
		},
		{
			id="SLIMY",
			ui_name="$status_slimy",
			ui_description="$statusdesc_slimy",
			ui_icon="data/ui_gfx/status_indicators/slimy.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_slimy.xml",
		},
		{
			id="RADIOACTIVE",
			ui_name="$status_radioactive",
			ui_description="$statusdesc_radioactive",
			ui_icon="data/ui_gfx/status_indicators/radioactive.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_radioactive.xml",
		},
		{
			id="ALCOHOLIC",
			ui_name="$status_alcoholic",
			ui_description="$statusdesc_alcoholic",
			ui_icon="data/ui_gfx/status_indicators/alcoholic.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
		},
		{
			id="POISONED",
			ui_name="$status_poisoned",
			ui_description="$statusdesc_poisoned",
			ui_icon="data/ui_gfx/status_indicators/poisoned.png",
			effect_entity="data/entities/misc/effect_poison.xml",
		},
		{
			id="TELEPORTATION",
			ui_name="$status_teleportation",
			ui_description="$statusdesc_teleportation",
			ui_icon="data/ui_gfx/status_indicators/teleportation.png",
			effect_entity="data/entities/misc/effect_teleportation.xml",
		},
		{
			id="UNSTABLE_TELEPORTATION",
			ui_name="$status_teleportation",
			ui_description="$statusdesc_teleportation",
			ui_icon="data/ui_gfx/status_indicators/teleportation.png",
			effect_entity="data/entities/misc/effect_teleportation.xml",
		},
		{
			id="HP_REGENERATION",
			ui_name="$status_hp_regeneration",
			ui_description="$statusdesc_hp_regeneration",
			ui_icon="data/ui_gfx/status_indicators/hp_regeneration.png",
			effect_entity="data/entities/misc/effect_regeneration.xml",
		},
		{
			id="POLYMORPH",
			ui_name="$status_polymorph",
			ui_description="$statusdesc_polymorph",
			ui_icon="data/ui_gfx/status_indicators/polymorph.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph.xml",
		},
		{
			id="POLYMORPH_RANDOM",
			ui_name="$status_polymorph_random",
			ui_description="$statusdesc_polymorph_random",
			ui_icon="data/ui_gfx/status_indicators/polymorph_random.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph_random.xml",
		},
		{
			id="POLYMORPH_UNSTABLE",
			ui_name="$status_polymorph_random",
			ui_description="$statusdesc_polymorph_random",
			ui_icon="data/ui_gfx/status_indicators/polymorph_random.png",
			remove_cells_that_cause_when_activated=true,
			effect_entity="data/entities/misc/effect_polymorph_unstable.xml",
		},
		{
			id="BERSERK",
			ui_name="$status_berserk",
			ui_description="$statusdesc_berserk",
			ui_icon="data/ui_gfx/status_indicators/berserk.png",
			effect_entity="data/entities/misc/effect_berserk.xml",
		},
		{
			id="CHARM",
			ui_name="$status_charm",
			ui_description="$statusdesc_charm",
			ui_icon="data/ui_gfx/status_indicators/charm.png",
			effect_entity="data/entities/misc/effect_charm.xml",
		},
		{
			id="INVISIBILITY",
			ui_name="$status_invisibility",
			ui_description="$statusdesc_invisibility",
			ui_icon="data/ui_gfx/status_indicators/invisibility.png",
			effect_entity="data/entities/misc/effect_invisibility.xml",
		},
		{
			id="ON_FIRE",
			ui_name="$status_on_fire",
			ui_description="$statusdesc_on_fire",
			ui_icon="data/ui_gfx/status_indicators/on_fire.png",
			effect_entity="",
		},
		{
			id="CONFUSION",
			ui_name="$status_confusion",
			ui_description="$statusdesc_confusion",
			ui_icon="data/ui_gfx/status_indicators/confusion.png",
			effect_entity="data/entities/misc/effect_confusion.xml",
		},
		{
			id="MOVEMENT_FASTER_2X",
			ui_name="$status_movement_faster",
			ui_description="$statusdesc_movement_faster",
			ui_icon="data/ui_gfx/status_indicators/movement_faster.png",
			effect_entity="data/entities/misc/effect_movement_faster_2x.xml",
		},
		{
			id="FASTER_LEVITATION",
			ui_name="$status_faster_levitation",
			ui_description="$statusdesc_faster_levitation",
			ui_icon="data/ui_gfx/status_indicators/faster_levitation.png",
			effect_entity="data/entities/misc/effect_faster_levitation.xml",
		},
		{
			id="WORM_ATTRACTOR",
			ui_name="$status_worm_attractor",
			ui_description="$statusdesc_worm_attractor",
			ui_icon="data/ui_gfx/status_indicators/worm_attractor.png",
			effect_entity="data/entities/misc/effect_worm_attractor.xml",
		},
		{
			id="PROTECTION_ALL",
			ui_name="$status_protection_all",
			ui_description="$statusdesc_protection_all",
			ui_icon="data/ui_gfx/status_indicators/protection_all.png",
			effect_entity="data/entities/misc/effect_protection_all.xml",
		},
		{
			id="MANA_REGENERATION",
			ui_name="$status_mana_regeneration",
			ui_description="$statusdesc_mana_regeneration",
			ui_icon="data/ui_gfx/status_indicators/mana_regeneration.png",
			effect_entity="data/entities/misc/effect_mana_regeneration.xml",
		},
		{
			id="JARATE",
			ui_name="$status_jarate",
			ui_description="$statusdesc_jarate",
			ui_icon="data/ui_gfx/status_indicators/jarate.png",
			effect_entity="data/entities/misc/effect_jarate.xml",
		},
		{
			id="HYDRATED",
			ui_name="$status_oiled",
			ui_description="$statusdesc_oiled",
			ui_icon="data/ui_gfx/status_indicators/oiled.png",
			protects_from_fire=true,
			effect_entity="data/entities/misc/effect_oiled.xml",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_00",
			ui_description="$statusdesc_ingestion_alcoholic_00",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			min_threshold_normalized="0.0",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_01",
			ui_description="$statusdesc_ingestion_alcoholic_01",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			min_threshold_normalized="0.25",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_02",
			ui_description="$statusdesc_ingestion_alcoholic_02",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk_01.xml",
			min_threshold_normalized="0.75",
		},
		{
			id="INGESTION_DRUNK",
			ui_name="$status_ingestion_alcoholic_02",
			ui_description="$statusdesc_ingestion_alcoholic_02",
			ui_icon="data/ui_gfx/status_indicators/drunk.png",
			effect_entity="data/entities/misc/effect_drunk_01.xml",
			min_threshold_normalized="1.0",
			extra_status_00="POISONED"
		},
		{
			id="TRIP",
			ui_name="$status_trip_00",
			ui_description="$statusdesc_trip_00",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_00.xml",
		},
		{
			id="TRIP",
			ui_name="$status_trip_01",
			ui_description="$statusdesc_trip_01",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_01.xml",
			min_threshold_normalized="0.5",
		},
		{
			id="TRIP",
			ui_name="$status_trip_02",
			ui_description="$statusdesc_trip_02",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_02.xml",
			min_threshold_normalized="1.5",
		},
		{
			id="TRIP",
			ui_name="$status_trip_03",
			ui_description="$statusdesc_trip_03",
			ui_icon="data/ui_gfx/status_indicators/trip.png",
			effect_entity="data/entities/misc/effect_trip_03.xml",
			min_threshold_normalized="3.0",
		},
		{
			id="NIGHTVISION",
			ui_name="$status_nightvision",
			ui_description="$statusdesc_nightvision",
			ui_icon="data/ui_gfx/status_indicators/nightvision.png",
			effect_entity="data/entities/misc/effect_nightvision.xml",
		},
		{
			id="FOOD_POISONING",
			ui_name="$status_food_poisoning",
			ui_description="$statusdesc_food_poisoning",
			ui_icon="data/ui_gfx/status_indicators/food_poisoning.png",
			effect_entity="data/entities/misc/effect_food_poisoning.xml",
		},
		{
			id="INGESTION_MOVEMENT_SLOWER",
			ui_name="$status_ingestion_movement_slower",
			ui_description="$statusdesc_ingestion_movement_slower",
			ui_icon="data/ui_gfx/status_indicators/ingestion_movement_slower.png",
			effect_entity="data/entities/misc/effect_movement_slower.xml",
		},
		{
			id="INGESTION_DAMAGE",
			ui_name="$status_ingestion_damage",
			ui_description="$statusdesc_ingestion_damage",
			ui_icon="data/ui_gfx/status_indicators/ingestion_damage.png",
			-- this status is only used to show the icon to the player
		},
		{
			id="INGESTION_EXPLODING",
			ui_name="$status_ingestion_exploding",
			ui_description="$statusdesc_ingestion_exploding",
			ui_icon="data/ui_gfx/status_indicators/ingestion_exploding.png",
			-- this status is only used to show the icon to the player
		},
		{
			id="INGESTION_FREEZING",
			ui_name="$status_ingestion_freezing",
			ui_description="$statusdesc_ingestion_freezing",
			ui_icon="data/ui_gfx/status_indicators/ingestion_freezing.png",
			effect_entity="data/entities/misc/effect_internal_ice.xml",
		},
		{
			id="FARTS",
			ui_name="$status_farts",
			ui_description="$statusdesc_farts",
			ui_icon="data/ui_gfx/status_indicators/farts.png",
			effect_entity="data/entities/misc/effect_farts.xml",
		},
		{
			id="INGESTION_ON_FIRE",
			ui_name="$status_internal_fire",
			ui_description="$statusdesc_internal_fire",
			ui_icon="data/ui_gfx/status_indicators/internal_fire.png",
			effect_entity="data/entities/misc/effect_internal_fire.xml",
		},
		{
			id="CURSE_CLOUD",
			ui_name="$status_curse_cloud_00",
			ui_description="$statusdesc_curse_cloud_00",
			ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			effect_entity="data/entities/misc/effect_curse_cloud_00.xml", -- rain
		},
		{
			id="CURSE_CLOUD",
			ui_name="$status_curse_cloud_01",
			ui_description="$statusdesc_curse_cloud_01",
			ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			effect_entity="data/entities/misc/effect_curse_cloud_01.xml", -- thunder
			min_threshold_normalized="0.25",
		},
		{
			id="CURSE_CLOUD",
			ui_name="$status_curse_cloud_02",
			ui_description="$statusdesc_curse_cloud_02",
			ui_icon="data/ui_gfx/status_indicators/curse_cloud.png",
			effect_entity="data/entities/misc/effect_curse_cloud_02.xml", -- acid
			min_threshold_normalized="0.75",
		},
		{
			id="PROTECTION_POLYMORPH",
			ui_name="$status_protection_polymorph",
			ui_description="$statusdesc_protection_polymorph",
			ui_icon="data/ui_gfx/status_indicators/protection_polymorph.png",
			effect_entity="data/entities/misc/effect_protection_polymorph.xml",
		},

		-- permanent effects should be put on the bottom of the list, to make them rendered in the UI after all other status effects
		--[[{
			id="BRAIN_DAMAGE",
			ui_name="$status_brain_damage",
			ui_description="$statusdesc_brain_damage",
			ui_icon="data/ui_gfx/status_indicators/brain_damage.png",
			effect_entity="data/entities/misc/effect_drunk.xml",
			effect_permanent=true,
		},]]--
	}
end